Send a token transfer
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromWalletId: 'mwt_abc123',
fromToken: 'USDC',
toAddress: '0x...',
toChain: '<string>',
toToken: 'USDC',
amount: '10.00'
})
};
fetch('https://api.prudra.dev/wallet-infra/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/transfer"
payload = {
"fromWalletId": "mwt_abc123",
"fromToken": "USDC",
"toAddress": "0x...",
"toChain": "<string>",
"toToken": "USDC",
"amount": "10.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.prudra.dev/wallet-infra/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromWalletId": "mwt_abc123",
"fromToken": "USDC",
"toAddress": "0x...",
"toChain": "<string>",
"toToken": "USDC",
"amount": "10.00"
}
'{
"txHash": "0xabc...",
"fromChain": "base",
"toChain": "polygon",
"fromToken": "USDC",
"toToken": "USDC",
"amount": "10.00",
"route": "direct",
"status": "confirmed"
}Transfers
Send a token transfer
Transfers tokens from a managed wallet (master or child) to a destination address. Routing (direct transfer, swap, bridge) is selected automatically from fromChain, fromToken, toChain, and toToken.
POST
/
wallet-infra
/
transfer
Send a token transfer
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromWalletId: 'mwt_abc123',
fromToken: 'USDC',
toAddress: '0x...',
toChain: '<string>',
toToken: 'USDC',
amount: '10.00'
})
};
fetch('https://api.prudra.dev/wallet-infra/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/transfer"
payload = {
"fromWalletId": "mwt_abc123",
"fromToken": "USDC",
"toAddress": "0x...",
"toChain": "<string>",
"toToken": "USDC",
"amount": "10.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.prudra.dev/wallet-infra/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromWalletId": "mwt_abc123",
"fromToken": "USDC",
"toAddress": "0x...",
"toChain": "<string>",
"toToken": "USDC",
"amount": "10.00"
}
'{
"txHash": "0xabc...",
"fromChain": "base",
"toChain": "polygon",
"fromToken": "USDC",
"toToken": "USDC",
"amount": "10.00",
"route": "direct",
"status": "confirmed"
}Authorizations
Your Prudra API key. Get one at dashboard.prudra.com/settings/api-keys
Body
application/json
Example:
"mwt_abc123"
Available options:
master, child Available options:
base, ethereum, optimism, arbitrum, polygon, tempo, base-sepolia, eth-sepolia, tempo-moderato Example:
"USDC"
Example:
"0x..."
Example:
"USDC"
Human-readable decimal amount
Example:
"10.00"
Response
Transfer complete or initiated
Example:
"0xabc..."
Example:
"base"
Example:
"polygon"
Example:
"USDC"
Example:
"USDC"
Example:
"10.00"
Available options:
direct, lifi-swap, lifi-bridge Available options:
confirmed, pending 
